# Method: projects.locations.privateClouds.list

- [HTTP request](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds/list#body.request_body)
- [Response body](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds/list#body.ListPrivateCloudsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds/list#body.aspect)

Lists `PrivateCloud` resources in a given project and location.

### HTTP request

`GET https://vmwareengine.googleapis.com/v1/{parent=projects/*/locations/*}/privateClouds`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the private cloud to be queried for clusters. Resource names are schemeless URIs that follow the conventions in <https://cloud.google.com/apis/design/resource_names>. For example: `projects/my-project/locations/us-central1-a` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `vmwareengine.privateClouds.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of private clouds to return in one page. The service may return fewer than this value. The maximum value is coerced to 1000. The default value of this field is 500. |
| `pageToken` | `string` A page token, received from a previous `privateClouds.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `privateClouds.list` must match the call that provided the page token. |
| `filter` | `string` A filter expression that matches resources returned in the response. The expression must specify the field name, a comparison operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The comparison operator must be `=`, `!=`, `>`, or `<`. For example, if you are filtering a list of private clouds, you can exclude the ones named `example-pc` by specifying `name != "example-pc"`. You can also filter nested fields. For example, you could specify `networkConfig.managementCidr = "192.168.0.0/24"` to include private clouds only if they have a matching address in their network configuration. To filter on multiple expressions, provide each separate expression within parentheses. For example: (name = "example-pc") (createTime > "2021-04-12T08:15:10.40Z") By default, each expression is an `AND` expression. However, you can include `AND` and `OR` expressions explicitly. For example: (name = "private-cloud-1") AND (createTime > "2021-04-12T08:15:10.40Z") OR (name = "private-cloud-2") |
| `orderBy` | `string` Sorts list results by a certain order. By default, returned results are ordered by `name` in ascending order. You can also sort results in descending order based on the `name` value using `orderBy="name desc"`. Currently, only ordering by `name` is supported. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds/list#google.cloud.vmwareengine.v1.VmwareEngine.ListPrivateClouds`

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "privateClouds": [ { object (`https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds#PrivateCloud`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `privateClouds[]` | ``object (`https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds#PrivateCloud`)`` A list of private clouds. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `unreachable[]` | `string` Locations that could not be reached when making an aggregated query using wildcards. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).